local x = Def.ActorFrame{
	LoadFont("_shared1")..{
		Text="☆ Loading Profiles ☆";
		InitCommand=cmd(Center;diffusealpha,0;shadowlength,1;zoom,0.65);
		OnCommand=cmd(linear,0.3;diffusealpha,1;rainbow);
		OffCommand=cmd(linear,0.15;diffusealpha,0);
	};
};

x[#x+1] = Def.Actor {
	BeginCommand=function(self)
		if SCREENMAN:GetTopScreen():HaveProfileToLoad() then self:sleep(1); end;
		self:queuecommand("Load");
	end;
	LoadCommand=function() SCREENMAN:GetTopScreen():Continue(); end;
};

return x;